Vla-put-backward
- 構文
- (vla-put-backward vla-object bool )
- 機能
- 文字の前後方向を指定する。
- 引数
-
- vla-object … VLAオブジェクト(Attribute、AttributeReference、Text)
- bool … ブール型
- :vlax-True: 文字は前後逆方向になる。
- :vlax-False: 文字は通常の方向。
- 戻り値
- nil
- サンプル
(vl-load-com) (defun c:Example_Backward() ;; 文字を作成して、前後方向を変更するサンプル (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; 文字の定義 (setq insertionPoint (vlax-3d-point 3 3 0) textString "Hello, World." height 0.5) ;; 文字を作成 (setq modelSpace (vla-get-ModelSpace doc)) (setq textObj (vla-AddText modelSpace textString insertionPoint height)) (vla-ZoomAll acadObj) (alert "文字の前後を逆に変更します。") (vla-put-Backward textObj :vlax-true) (vla-Regen doc acActiveViewport) (alert "前後逆になったかよ。") )
関連事項